/*
 * This file is part of SpongeAPI, licensed under the MIT License (MIT).
 *
 * Copyright (c) SpongePowered <https://www.spongepowered.org>
 * Copyright (c) contributors
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 * THE SOFTWARE.
 */
package org.spongepowered.api.item;

import org.spongepowered.api.util.generator.dummy.DummyObjectProvider;

/**
 * An enumeration of known {@link Enchantment} types.
 */
public final class Enchantments {

    // SORTFIELDS:ON

    public static final Enchantment AQUA_AFFINITY = DummyObjectProvider.createFor(Enchantment.class, "AQUA_AFFINITY");

    public static final Enchantment BANE_OF_ARTHROPODS = DummyObjectProvider.createFor(Enchantment.class, "BANE_OF_ARTHROPODS");

    public static final Enchantment BINDING_CURSE = DummyObjectProvider.createFor(Enchantment.class, "BINDING_CURSE");

    public static final Enchantment BLAST_PROTECTION = DummyObjectProvider.createFor(Enchantment.class, "BLAST_PROTECTION");

    public static final Enchantment DEPTH_STRIDER = DummyObjectProvider.createFor(Enchantment.class, "DEPTH_STRIDER");

    public static final Enchantment EFFICIENCY = DummyObjectProvider.createFor(Enchantment.class, "EFFICIENCY");

    public static final Enchantment FEATHER_FALLING = DummyObjectProvider.createFor(Enchantment.class, "FEATHER_FALLING");

    public static final Enchantment FIRE_ASPECT = DummyObjectProvider.createFor(Enchantment.class, "FIRE_ASPECT");

    public static final Enchantment FIRE_PROTECTION = DummyObjectProvider.createFor(Enchantment.class, "FIRE_PROTECTION");

    public static final Enchantment FLAME = DummyObjectProvider.createFor(Enchantment.class, "FLAME");

    public static final Enchantment FORTUNE = DummyObjectProvider.createFor(Enchantment.class, "FORTUNE");

    public static final Enchantment FROST_WALKER = DummyObjectProvider.createFor(Enchantment.class, "FROST_WALKER");

    public static final Enchantment INFINITY = DummyObjectProvider.createFor(Enchantment.class, "INFINITY");

    public static final Enchantment KNOCKBACK = DummyObjectProvider.createFor(Enchantment.class, "KNOCKBACK");

    public static final Enchantment LOOTING = DummyObjectProvider.createFor(Enchantment.class, "LOOTING");

    public static final Enchantment LUCK_OF_THE_SEA = DummyObjectProvider.createFor(Enchantment.class, "LUCK_OF_THE_SEA");

    public static final Enchantment LURE = DummyObjectProvider.createFor(Enchantment.class, "LURE");

    public static final Enchantment MENDING = DummyObjectProvider.createFor(Enchantment.class, "MENDING");

    public static final Enchantment POWER = DummyObjectProvider.createFor(Enchantment.class, "POWER");

    public static final Enchantment PROJECTILE_PROTECTION = DummyObjectProvider.createFor(Enchantment.class, "PROJECTILE_PROTECTION");

    public static final Enchantment PROTECTION = DummyObjectProvider.createFor(Enchantment.class, "PROTECTION");

    public static final Enchantment PUNCH = DummyObjectProvider.createFor(Enchantment.class, "PUNCH");

    public static final Enchantment RESPIRATION = DummyObjectProvider.createFor(Enchantment.class, "RESPIRATION");

    public static final Enchantment SHARPNESS = DummyObjectProvider.createFor(Enchantment.class, "SHARPNESS");

    public static final Enchantment SILK_TOUCH = DummyObjectProvider.createFor(Enchantment.class, "SILK_TOUCH");

    public static final Enchantment SMITE = DummyObjectProvider.createFor(Enchantment.class, "SMITE");

    public static final Enchantment SWEEPING = DummyObjectProvider.createFor(Enchantment.class, "SWEEPING");

    public static final Enchantment THORNS = DummyObjectProvider.createFor(Enchantment.class, "THORNS");

    public static final Enchantment UNBREAKING = DummyObjectProvider.createFor(Enchantment.class, "UNBREAKING");

    public static final Enchantment VANISHING_CURSE = DummyObjectProvider.createFor(Enchantment.class, "VANISHING_CURSE");

    // SORTFIELDS:OFF

    private Enchantments() {
    }
}
